VSTGUI: UIDescriptionListener Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
UIDescriptionListener Class Referenceabstract
Inheritance diagram for UIDescriptionListener:

## Public Member Functions
virtual | ~UIDescriptionListener () noexcept
virtual bool | doUIDescTemplateUpdate (UIDescription *desc, UTF8StringPtr name)=0
virtual void | onUIDescTagChanged (UIDescription *desc)=0
virtual void | onUIDescColorChanged (UIDescription *desc)=0
virtual void | onUIDescFontChanged (UIDescription *desc)=0
virtual void | onUIDescBitmapChanged (UIDescription *desc)=0
virtual void | onUIDescTemplateChanged (UIDescription *desc)=0
virtual void | onUIDescGradientChanged (UIDescription *desc)=0
virtual void | beforeUIDescSave (UIDescription *desc)=0

## Constructor & Destructor Documentation

virtual ~UIDescriptionListener | ( |  | ) |
| inlinevirtualnoexcept

## Member Function Documentation

virtual void beforeUIDescSave | ( | UIDescription * | desc | ) |
| pure virtual

Implemented in UIDescriptionListenerAdapter.

virtual bool doUIDescTemplateUpdate | ( | UIDescription * | desc,
|  | UTF8StringPtr | name
| ) |  |
| pure virtual

Implemented in UIDescriptionListenerAdapter.

virtual void onUIDescBitmapChanged | ( | UIDescription * | desc | ) |
| pure virtual

Implemented in UIDescriptionListenerAdapter.

virtual void onUIDescColorChanged | ( | UIDescription * | desc | ) |
| pure virtual

Implemented in UIDescriptionListenerAdapter.

virtual void onUIDescFontChanged | ( | UIDescription * | desc | ) |
| pure virtual

Implemented in UIDescriptionListenerAdapter.

virtual void onUIDescGradientChanged | ( | UIDescription * | desc | ) |
| pure virtual

Implemented in UIDescriptionListenerAdapter.

virtual void onUIDescTagChanged | ( | UIDescription * | desc | ) |
| pure virtual

Implemented in UIDescriptionListenerAdapter.

virtual void onUIDescTemplateChanged | ( | UIDescription * | desc | ) |
| pure virtual

Implemented in UIDescriptionListenerAdapter.

The documentation for this class was generated from the following file:

- uidescriptionlistener.h